Download Presentation
GET
https://api.slidespeak.co/api/v1/presentation/download/{id}
Returns a short‑lived (temporary) URL to download the presentation file. Use the
request_id from the task status response. The returned URL expires after a short period
and can be regenerated at any time by calling this endpoint again.
Headers
X-API-Key: string
Your API key.
Path Parameters
id: string
The
request_id returned by the task status endpoint.
Code Examples
curl -L \ -H 'X-API-Key: YOUR_API_KEY' \ 'https://api.slidespeak.co/api/v1/presentation/download/cmfquzwpz0000kjn50hllv6q9'const response = await fetch('https://api.slidespeak.co/api/v1/presentation/download/cmfquzwpz0000kjn50hllv6q9', { method: 'GET', headers: { 'X-API-Key': 'YOUR_API_KEY' }});
const data = await response.json();console.log(data.url); // Short-lived download URLimport requests
url = "https://api.slidespeak.co/api/v1/presentation/download/cmfquzwpz0000kjn50hllv6q9"headers = { "X-API-Key": "YOUR_API_KEY"}
response = requests.get(url, headers=headers)data = response.json()print(data["url"]) # Short-lived download URL<?php$url = 'https://api.slidespeak.co/api/v1/presentation/download/cmfquzwpz0000kjn50hllv6q9';$headers = [ 'X-API-Key: YOUR_API_KEY'];
$ch = curl_init();curl_setopt($ch, CURLOPT_URL, $url);curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);curl_close($ch);
$data = json_decode($response, true);echo $data['url']; // Short-lived download URL?>Response
{ "url": "https://slidespeak-files.s3.amazonaws.com/..." }Notes
-
The
task_idand any directurlyou may see intask_resultare temporary. - The
request_idis permanent and can be used to regenerate a fresh download URL.